Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class CTAggFieldInfo

    java.lang.Object
      jet.api.CTAggFieldInfo

    public class CTAggFieldInfo

extends java.lang.Object

An information package when a aggregate field is inserted in a crosstab.

Field Summary
`static int` | `AVERAGE` The function type values.
`static int` | `COUNT` The function type values.
`static int` | `DISTINCTCOUNT` The function type values.
`static int` | `MAXIMUM` The function type values.
`static int` | `MINIMUM` The function type values.
`static int` | `POPULATIONSTDDEV` The function type values.
`static int` | `POPULATIONVARIANCE` The function type values.
`static int` | `SQRSUM` The function type values.
`static int` | `STDDEV` The function type values.
`static int` | `SUM` The function type values.
`static int` | `VARIANCE` The function type values.

Constructor Summary
`CTAggFieldInfo(java.lang.String name, java.lang.String mapping, int func)` Constructor.
`CTAggFieldInfo(java.lang.String name, java.lang.String mapping, int func, int index)` Constructor.
`CTAggFieldInfo(java.lang.String name, java.lang.String mapping, int func, int index, java.lang.String label)` Constructor.

Method Summary
`CTSpecialFldInfo` | `createCTSpecialFldInfo(java.lang.String label, int breakBy, int refer, int function, boolean isX)` Creates a related special aggregation field info
`java.lang.String` | `getBlName()` Gets the business logic node name of the aggregation field
`static int` | `getType(java.lang.String typeN)`
`void` | `setBlName(java.lang.String blName)` Sets the business logic node name of the aggregation field
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COUNT

    public static final int COUNT

  The function type values.

### SUM

    public static final int SUM

  The function type values.

### MINIMUM

    public static final int MINIMUM

  The function type values.

### MAXIMUM

    public static final int MAXIMUM

  The function type values.

### DISTINCTCOUNT

    public static final int DISTINCTCOUNT

  The function type values.

### AVERAGE

    public static final int AVERAGE

  The function type values.

### SQRSUM

    public static final int SQRSUM

  The function type values.

### POPULATIONSTDDEV

    public static final int POPULATIONSTDDEV

  The function type values.

### POPULATIONVARIANCE

    public static final int POPULATIONVARIANCE

  The function type values.

### STDDEV

    public static final int STDDEV

  The function type values.

### VARIANCE

    public static final int VARIANCE

  The function type values.

Constructor Detail

### CTAggFieldInfo

    public CTAggFieldInfo(java.lang.String name,
                          java.lang.String mapping,
                          int func)

  Constructor. Creates crosstab aggregate field information.

  Parameters:
    `name` - object name of the aggregate info field.
    `mapping` - mapping name of the database field or formula.
    `func` - its value must be one of the function type values that has been defined in this class.

### CTAggFieldInfo

    public CTAggFieldInfo(java.lang.String name,
                          java.lang.String mapping,
                          int func,
                          int index)

  Constructor. Creates crosstab aggregate field information.

  Parameters:
    `name` - object name of the aggregate info field.
    `mapping` - mapping name of the database field or formula.
    `func` - its value must be one of the function type values that has been defined in this class.
    `index` - position of aggregate field in the crosstab.

### CTAggFieldInfo

    public CTAggFieldInfo(java.lang.String name,
                          java.lang.String mapping,
                          int func,
                          int index,
                          java.lang.String label)

  Constructor. Creates crosstab aggregate field information.

  Parameters:
    `name` - object name of the aggregate info field.
    `mapping` - mapping name of the database field or formula.
    `func` - its value must be one of the function type values that has been defined in this class.
    `index` - position of aggregate field in the crosstab.
    `label` - show a text title of this aggreate field.

Method Detail

### getType

    public static int getType(java.lang.String typeN)

### setBlName

    public void setBlName(java.lang.String blName)

  Sets the business logic node name of the aggregation field

  Parameters:
    `blName` - the business logic node name of the aggregation field.

### getBlName

    public java.lang.String getBlName()

  Gets the business logic node name of the aggregation field

  Returns:
    the business logic node name of the aggregation field.

### createCTSpecialFldInfo

    public CTSpecialFldInfo createCTSpecialFldInfo(java.lang.String label,
                                                   int breakBy,
                                                   int refer,
                                                   int function,
                                                   boolean isX)

  Creates a related special aggregation field info

  Returns:
    related special aggregation field info.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD